<?php

// LIMITED GUEST VIEWING CLEAN UP SCRIPT
// SEE http://www.vbulletin.org/forum/showthread.php?t=178720 FOR SUPPORT
// Copyright Modern Insider & Ted Sindzinski 2008. All Rights Reserved.
// This plugin may not be republished or distributed without the express written consent of the author.

error_reporting(E_ALL & ~E_NOTICE);
if (!is_object($vbulletin->db))
{
	exit;
}

// check if the db option is being used
if(!$vbulletin->options['lgvdb']){
	echo "LGV Database System Not Enabled.<br />";
	exit;	
} else {

	echo "Clearing LGV Entries<br>";
	
	// check if we have a never situation and bail out if we do
	$vbulletin->options['lgvcleardays'] = intval($vbulletin->options['lgvcleardays']);
	if(!$vbulletin->options['lgvcleardays']){
		$vbulletin->options['lgvcleardays'] = 10;
	}
	
	// actually do the kill
	$vbulletin->db->query_write("
		DELETE FROM " . TABLE_PREFIX . "lgv
		WHERE (lastactivity + (". $vbulletin->options['lgvcleardays'] ." * 86400)) < ". TIMENOW ."
	");
	
	echo "All Done with ". $vbulletin->options['lgvcleardays'] ." days cleared.<br>";
	
	log_cron_action('Limited Guest Viewing Cleared', '', 1);

}

?>